{include for unzip.pas: Copy stored file}

{C code by info-zip group, translated to Pascal by Christian Ghisler}
{based on unz51g.zip}

{************************* copy stored file ************************************}
function copystored:integer;
var readin:longint;
    outcnt:word;
begin
  while reachedsize<compsize do begin
    readin:=compsize-reachedsize;
    if readin>wsize then readin:=wsize;
    {$I-}
    blockread(infile,slide[0],readin,outcnt);  {Use slide as buffer}
    {$I+}
    if (outcnt<>readin) or (ioresult<>0) then begin
      copystored:=unzip_ReadErr;
      exit
    end;
    if not flush(outcnt) then begin  {Flushoutput takes care of CRC too}
      copystored:=unzip_WriteErr;
      exit
    end;
    inc(reachedsize,outcnt);
    {$ifdef windows}
    showpercent;
    {$endif}
  end;
  copystored:=unzip_Ok;
end;
